
#import <simtools.h>
#import <gui.h>
#import <space.h>
#import <objectbase.h>
#import <simtoolsgui/GUISwarm.h>
#import <analysis.h> // EZGraph

#import <ctype.h>

#import "ModelSwarm.h"

@interface ObserverSwarm: GUISwarm 
{
 
  id displayActions;   // ActionGroup *
  id displaySchedule;  // Scedule *

  ModelSwarm* modelSwarm;


  id <Canvas> canvas;                            // 2d display widget
 
  id <ZoomRaster> boidRaster;
  id <Object2dDisplay> boidDisplay;


  id <EZGraph> popGraph;
}

+ createBegin: aZone;
- createEnd;
- buildObjects;
- buildActions;
- activateIn: swarmContext;
- getDisplay;

@end
